Bug 918009 (CVE-2013-1819)

Summary: CVE-2013-1819 kernel: xfs: _xfs_buf_find oops on blocks beyond the filesystem end
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, bfoster, bhu, dchinner, dhoward, esammons, fhrbata, fs-maint, gansalmon, iboverma, itamar, jforbes, jkacur, jlieskov, jonathan, jrusnack, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mcressma, nobody, plougher, pmatouse, rt-maint, rvrbovsk, sforsber, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130121,reported=20130130,source=internet,cvss2=3.8/AV:L/AC:H/Au:S/C:N/I:N/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=wontfix,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected,cwe=CWE-476
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-13 04:34:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 888323, 918063, 918064, 918065, 918067, 918068, 918069, 918070    
Bug Blocks: 905810    

Description Prasad J Pandit 2013-03-05 04:53:34 EST
Linux kernel built with support for XFS file system is vulnerable to a NULL
pointer dereference flaw. This occurs while accessing blocks beyond the end
of the file system, possibly on a corrupted device.

A user able to mount the file system could use this flaw to crash the kernel, resulting in DoS.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/eb178619f930fa2ba2348de332a1ff1c66a31424
Comment 1 Jan Lieskovsky 2013-03-05 06:19:37 EST
The CVE identifier of CVE-2013-1819 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/03/05/10
Comment 4 Prasad J Pandit 2013-03-05 07:18:53 EST
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 918070]
Comment 5 Prasad J Pandit 2013-03-05 07:21:41 EST
Statement:

This issue does not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5.

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2. Due to it's limited impact, this issue is not currently planned to be addressed in Red Hat Enterprise Linux 6.
Comment 12 Fedora Update System 2013-03-21 20:19:08 EDT
kernel-3.8.3-103.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 errata-xmlrpc 2013-05-20 12:49:17 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html